Subject: bug#21559: 25.0.50; auto-revert-mode breaks git rebase

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Sep 2015 17:35:58 +0300

> From: Ben Gamari <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 28 Sep 2015 16:11:16 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Ben Gamari <[email-masked]>
> >> Date: Fri, 25 Sep 2015 14:45:56 +0200
> >> 
> >> One imperfect workaround would be to instead schedule a worker to call
> >> `vc-fine-file-hook` at some point in the future when the repository is
> >> more likely to be idle (for instance, when there have been no change
> >> events for a second or so).
> >
> > But autorevert already does exactly that: it doesn't act on file
> > changes immediately, only once every N seconds.  N defaults to 5,
> > perhaps you could try customizing auto-revert-interval to a larger
> > value to see if that solves the problem.
> >
> This is not true is auto-revert-use-notify is enabled.

You are right, I forgot: things were originally like I described, but
were later changed to fix bug#18958.

> I threw together a patch [1] implementing the suggestion I presented
> above. I have yet to rigorously test it but I have yet to experience the
> issue since starting to use it.

Thanks.

However, it looks like your suggested patch reverts back to what we
had before we fixed bug 18958, doesn't it?  If so, we will have to
look for some other solution, because we don't want to reintroduce
that bug.  See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18958#5
for the details.